com.sleepycat.persist.evolve

## Class EvolveEvent

- java.lang.Object
- - com.sleepycat.persist.evolve.EvolveEvent

-     public class EvolveEvent
      extends java.lang.Object

  The event passed to the EvolveListener interface during eager entity evolution.
  See Also:
    `Class Evolution`

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getEntityClassName()` The class name of the current entity class being converted.
    `EvolveStats` | `getStats()` The cumulative statistics gathered during eager evolution.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getStats

          public EvolveStats getStats()

      The cumulative statistics gathered during eager evolution.
      Returns:
        the cumulative statistics.

    - #### getEntityClassName

          public java.lang.String getEntityClassName()

      The class name of the current entity class being converted.
      Returns:
        the class name.

Copyright (c) 1996, 2017 Oracle and/or its affiliates. All rights reserved.